# Get Infrastructure

Endpoint for retrieving a specific infrastructure.

Endpoint: GET /api/infrastructures/{id}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `orgIdentifier` (string)
    Org is the organization identifier.

  - `projectIdentifier` (string)
    Project is the project identifier.

## Path parameters:

  - `id` (string, required)
    ID of the infrastructure

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.

## Response 200 fields (application/json):

  - `activeExecutions` (array, required)

  - `activeExecutions.approvals` (array)

  - `activeExecutions.approvals.instanceId` (string, required)

  - `activeExecutions.approvals.pipelineApprovals` (array, required)

  - `activeExecutions.approvals.pipelineApprovals.approvalID` (string, required)

  - `activeExecutions.approvals.pipelineApprovals.deadline` (string)

  - `activeExecutions.approvals.pipelineApprovals.message` (string, required)

  - `activeExecutions.approvals.pipelineApprovals.orgID` (string, required)

  - `activeExecutions.approvals.pipelineApprovals.pipelineExecutionId` (string, required)

  - `activeExecutions.approvals.pipelineApprovals.pipelineId` (string)

  - `activeExecutions.approvals.pipelineApprovals.pipelineUrl` (string)

  - `activeExecutions.approvals.pipelineApprovals.projectID` (string, required)

  - `activeExecutions.completedInstanceIds` (array, required)
    Instances fully updated by the execution

  - `activeExecutions.events` (array)

  - `activeExecutions.events.createdAt` (string, required)

  - `activeExecutions.events.event` (object, required)

  - `activeExecutions.events.event.progress` (string, required)
    Enum: "unknown", "pending", "processing", "done", "failed", "aborted", "deleted", "replaced"

  - `activeExecutions.events.message` (string)
    Message associated with the event

  - `activeExecutions.id` (string, required)

  - `activeExecutions.infrastructureId` (string, required)

  - `activeExecutions.instanceIds` (array, required)
    Instances updated by the execution

  - `activeExecutions.message` (string)
    Message associated with the execution

  - `activeExecutions.outputs` (object)
    Outputs of the infrastructure execution

  - `activeExecutions.pipelineUrl` (string)

  - `activeExecutions.progress` (object, required)

  - `activeExecutions.spec` (object, required)

  - `activeExecutions.spec.identifier` (string, required)

  - `activeExecutions.spec.instances` (array)

  - `activeExecutions.spec.instances.dependencies` (object)

  - `activeExecutions.spec.instances.identifier` (string, required)

  - `activeExecutions.spec.instances.implementation` (object)

  - `activeExecutions.spec.instances.implementation.backend` (string, required)

  - `activeExecutions.spec.instances.implementation.steps` (object, required)

  - `activeExecutions.spec.instances.implementation.steps.apply` (object, required)

  - `activeExecutions.spec.instances.implementation.steps.create` (object)

  - `activeExecutions.spec.instances.implementation.steps.delete` (object)

  - `activeExecutions.spec.instances.implementation.steps.destroy` (object, required)

  - `activeExecutions.spec.instances.implementation.steps.pause` (object)

  - `activeExecutions.spec.instances.implementation.steps.resume` (object)

  - `activeExecutions.spec.instances.implementation.values` (object)

  - `activeExecutions.spec.instances.metadata` (object)

  - `activeExecutions.spec.instances.outputs` (object)

  - `activeExecutions.spec.instances.targetState` (object)

  - `activeExecutions.spec.instances.targetState.state` (string, required)
    Enum: "unknown", "inactive", "instantiated", "running", "paused"

  - `activeExecutions.spec.metadata` (object)

  - `activeExecutions.spec.outputs` (object)

  - `activeExecutions.spec.targetState` (object, required)

  - `activeExecutions.specRevision` (integer, required)

  - `activeExecutions.startedAt` (string, required)

  - `activeExecutions.stoppedAt` (string)

  - `activeExecutions.targetState` (object, required)

  - `identifier` (string, required)
    ID of the infrastructure

  - `spec` (object)

  - `spec.createdAt` (string)
    date (RFC3339) when the spec was created

  - `spec.infrastructure` (object)

  - `spec.revision` (integer)

  - `state` (object, required)

  - `state.createdAt` (string)
    date (RFC3339) when the spec was created

  - `state.sessionEndedAt` (string)

  - `state.sessionStartedAt` (string)

  - `state.updatedAt` (string)
    date (RFC3339) when the spec was updated

## Response 400 fields (application/json):

  - `code` (string)

  - `details` (object)

  - `message` (string, required)

  - `name` (string, required)


